## mingw-w64-OpenSceneGraph-3.6.5-43.src.tar.zst

=== applications/osgversion/CMakeLists.txt ===
SET(TARGET_SRC osgversion.cpp )

IF (OSG_MAINTAINER)
    SET(TARGET_SRC ${TARGET_SRC} Contributors.cpp )
    ADD_DEFINITIONS("-DBUILD_CONTRIBUTORS")
ENDIF()

SET(TARGET_COMMON_LIBRARIES 
    OpenThreads
    osg 
    osgDB
)

SETUP_COMMANDLINE_APPLICATION(osgversion)
