=== applications/osgviewer/CMakeLists.txt ===
SET(TARGET_SRC osgviewer.cpp )

SETUP_APPLICATION(osgviewer)
