=== examples/osgdrawinstanced/CMakeLists.txt ===
SET(TARGET_SRC osgdrawinstanced.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgdrawinstanced)
