=== examples/osgfadetext/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgfadetext.cpp )
SET(TARGET_ADDED_LIBRARIES osgSim osgText )
#### end var setup  ###
SETUP_EXAMPLE(osgfadetext)
