=== examples/osgkeyboardmouse/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgkeyboardmouse.cpp )
SET(TARGET_ADDED_LIBRARIES osgFX )
#### end var setup  ###
SETUP_EXAMPLE(osgkeyboardmouse)
