=== examples/osgprerendercubemap/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgprerendercubemap.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgprerendercubemap)
