=== examples/osgshadow/CMakeLists.txt ===
#this file is automatically generated


SET(TARGET_SRC osgshadow.cpp IslandScene.cpp )
SET(TARGET_H terrain_coords.h IslandScene.h )
SET(TARGET_ADDED_LIBRARIES osgShadow osgTerrain)
#### end var setup  ###
SETUP_EXAMPLE(osgshadow)
