=== examples/osgsharedarray/CMakeLists.txt ===
#this file is automatically generated 
SET(TARGET_SRC osgsharedarray.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgsharedarray)
